Package bitel.billing.server.contract.bean

# Class Contract

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
bitel.billing.server.contract.bean.Contract

All Implemented Interfaces:
  `Serializable`, `Comparable<Contract>`, `GuiTitlable`, `Idable`, `ListItem`

public class Contract extends IdTitle implements Serializable, Comparable<Contract>
По возможности не использовать. Использовать `Contract`. Есть трудности с переводом на новый бин из-за tariffOptions и tts, до тех пор пока к ним обращаются сюда, перевести полностью не получится.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CREDIT_BALANCE_MODE`
  `static final int`
  `DEBET_BALANCE_MODE`
  `static final int`
  `IS_INDEPENDENT`
  `static final int`
  `IS_SUPER`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Contract()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Contract o)`
  `boolean`
  `equals(Object obj)`
  `BigDecimal`
  `getBalanceLimit()`
  Возвращает лимит остатка договора.
  `int`
  `getBalanceMode()`
  Возвращает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.
  `BigDecimal`
  `getBalanceRest(Connection con, Date time)`
  Deprecated.
  `String`
  `getComment()`
  Возвращает комментарий договора.
  `static Contract`
  `getContractFromNew(Contract contract)`
  Получить старый договор из нового.
  `Date`
  `getDateFrom()`
  Возвращает дату начала договора.
  `Date`
  `getDateTo()`
  Возвращает дату закрытия договора.
  `int`
  `getDel()`
  Возвращает скрытость договора.
  `String`
  `getDependSubList()`
  Возвращает список субдоговоров с зависимым балансом.
  `int`
  `getDomainId()`
  ID домена
  `int`
  `getFc()`
  Возвращает тип договора.
  `long`
  `getGroups()`
  Получение битовой маски групп договора.
  `Contract`
  `getNewContract()`
  Получить новый( имеется ввиду объект нового класса) договор из текущего
  `int`
  `getParamGroup()`
  Возвращает код группы параметров договора.
  `String`
  `getPswd()`
  Возвращает пароль договора.
  `int`
  `getStatus()`
  Возвращает текущий статус договора, доступные статусы перечислены в `KernelConst`.
  `Calendar`
  `getStatusDate()`
  Возвращает дату установки текущего статуса договора.
  `int`
  `getSubMode()`
  Возвращает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.
  `int`
  `getSuperId()`
  Возвращает код супердоговора.
  `ContractTariffOptionList`
  `getTariffOptions()`
  Возвращает соотнесенный договору списка тарифных опций для тарификации.
  `int`
  `getTitlePatternId()`
  Возвращает код шаблона имени.
  `ru.bitel.bgbilling.kernel.tariff.server.tree.TariffTreeSet`
  `getTts()`
  Возвращает соотнесенный договору набор тарифных деревьев для тарификации.
  `boolean`
  `isDependSub()`
  Договор является субдоговором с зависимым балансом
  `boolean`
  `isIndepend()`
  Договор является независимым.
  `boolean`
  `isIndependSub()`
  Договор является субдоговором с независимым балансом
  `boolean`
  `isSub()`
  Договор является субдоговором.
  `boolean`
  `isSuper()`
  Договор является супердоговором.
  `void`
  `setBalanceLimit(BigDecimal limit)`
  Установка лимита остатка.
  `void`
  `setBalanceMode(int balanceMode)`
  Устанаваливает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.
  `void`
  `setComment(String comment)`
  Устанавливает комментарий договора.
  `void`
  `setDateFrom(Date date1)`
  Устанавливает дату начала действия договора.
  `void`
  `setDateTo(Date date2)`
  Устанавливает дату закрытия договора.
  `void`
  `setDel(int del)`
  Устанавливает признак скрытости договора.
  `void`
  `setDependSubList(String subList)`
  Установка списка субдоговоров с зависимым балансом.
  `void`
  `setDomainId(int domainId)`
  `void`
  `setFc(int fc)`
  Устанавливает тип договора.
  `void`
  `setGroups(long groups)`
  Установка битовой маски групп.
  `void`
  `setParamGroup(int paramGroup)`
  Устанавливает группу параметров договора.
  `void`
  `setPswd(String pswd)`
  Устанавливает пароль договора.
  `void`
  `setStatus(int status)`
  Устанавливает текущий статус договора, доступные статусы перечислены в `KernelConst`.
  `void`
  `setStatusDate(Calendar statusDate)`
  Устанавливает дату установки текущего статуса договора.
  `void`
  `setSubMode(int subMode)`
  Устанавливает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.
  `void`
  `setSuperId(int superId)`
  Устанавливает код супердоговора.
  `void`
  `setTariffOptions(ContractTariffOptionList tariffOptions)`
  Соотнесение договору тарифных опций для тарификации.
  `void`
  `setTitlePatternId(int id)`
  Устанавливает код шаблона имени.
  `void`
  `setTts(ru.bitel.bgbilling.kernel.tariff.server.tree.TariffTreeSet tts)`
  Соотнесение договору набора тарифных деревьев для тарификации.
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### CREDIT_BALANCE_MODE

    public static final int CREDIT_BALANCE_MODE
    See Also:
      - Constant Field Values

  - ### DEBET_BALANCE_MODE

    public static final int DEBET_BALANCE_MODE
    See Also:
      - Constant Field Values

  - ### IS_SUPER

    public static final int IS_SUPER
    See Also:
      - Constant Field Values

  - ### IS_INDEPENDENT

    public static final int IS_INDEPENDENT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Contract

    public Contract()

- ## Method Details

  - ### getContractFromNew

    public static Contract getContractFromNew(Contract contract)
    Получить старый договор из нового. Использовать в крайнем случае, когда нужно передать именно старый договор.
    Имейте ввиду, что в созданном договоре не будет тарифа и тариф. опций
    Returns:
      - договор, если переданный contract == null, то вернет null

  - ### getNewContract

    public Contract getNewContract()
    Получить новый( имеется ввиду объект нового класса) договор из текущего

  - ### getTitlePatternId

    public int getTitlePatternId()
    Возвращает код шаблона имени.
    Returns:

  - ### setTitlePatternId

    public void setTitlePatternId(int id)
    Устанавливает код шаблона имени.
    Parameters:
      `id` -

  - ### getBalanceMode

    public int getBalanceMode()
    Возвращает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.
    Returns:

  - ### setBalanceMode

    public void setBalanceMode(int balanceMode)
    Устанаваливает режим баланса договора `DEBET_BALANCE_MODE` либо `CREDIT_BALANCE_MODE`.
    Parameters:
      `balanceMode` -

  - ### getBalanceLimit

    public BigDecimal getBalanceLimit()
    Возвращает лимит остатка договора.
    Returns:

  - ### setBalanceLimit

    public void setBalanceLimit(BigDecimal limit)
    Установка лимита остатка.
    Parameters:
      `limit` -

  - ### getTts

    public ru.bitel.bgbilling.kernel.tariff.server.tree.TariffTreeSet getTts()
    Возвращает соотнесенный договору набор тарифных деревьев для тарификации.
    Returns:

  - ### setTts

    public void setTts(ru.bitel.bgbilling.kernel.tariff.server.tree.TariffTreeSet tts)
    Соотнесение договору набора тарифных деревьев для тарификации. Можно использовать функцию `ContractManager.getRealtimeTariffTreeSet(int, Calendar, String, int, boolean)`
    Parameters:
      `tts` -

  - ### getTariffOptions

    public ContractTariffOptionList getTariffOptions()
    Возвращает соотнесенный договору списка тарифных опций для тарификации.
    Returns:

  - ### setTariffOptions

    public void setTariffOptions(ContractTariffOptionList tariffOptions)
    Соотнесение договору тарифных опций для тарификации.
    Parameters:
      `tariffOptions` -

  - ### getGroups

    public long getGroups()
    Получение битовой маски групп договора.
    Returns:

  - ### setGroups

    public void setGroups(long groups)
    Установка битовой маски групп.
    Parameters:
      `groups` -

  - ### getParamGroup

    public int getParamGroup()
    Возвращает код группы параметров договора.
    Returns:

  - ### getFc

    public int getFc()
    Возвращает тип договора.
    Returns:
      0 - физ. лицо, 1 - юр. лицо.

  - ### getDateFrom

    public Date getDateFrom()
    Возвращает дату начала договора.
    Returns:

  - ### getDateTo

    public Date getDateTo()
    Возвращает дату закрытия договора.
    Returns:

  - ### getDel

    public int getDel()
    Возвращает скрытость договора.
    Returns:
      1 - договор скрыт.

  - ### getComment

    public String getComment()
    Возвращает комментарий договора.
    Returns:

  - ### getPswd

    public String getPswd()
    Возвращает пароль договора.
    Returns:

  - ### setParamGroup

    public void setParamGroup(int paramGroup)
    Устанавливает группу параметров договора.
    Parameters:
      `paramGroup` -

  - ### setFc

    public void setFc(int fc)
    Устанавливает тип договора.
    Parameters:
      `fc` - 0 - физ. лицо, 1 - юр. лицо.

  - ### setDateFrom

    public void setDateFrom(Date date1)
    Устанавливает дату начала действия договора.
    Parameters:
      `date1` -

  - ### setDateTo

    public void setDateTo(Date date2)
    Устанавливает дату закрытия договора.
    Parameters:
      `date2` -

  - ### setComment

    public void setComment(String comment)
    Устанавливает комментарий договора.
    Parameters:
      `comment` -

  - ### setDel

    public void setDel(int del)
    Устанавливает признак скрытости договора.
    Parameters:
      `del` - 1 - скрыт, 0 - не скрыт.

  - ### setPswd

    public void setPswd(String pswd)
    Устанавливает пароль договора.
    Parameters:
      `pswd` -

  - ### getSuperId

    public int getSuperId()
    Возвращает код супердоговора.
    Returns:

  - ### setSuperId

    public void setSuperId(int superId)
    Устанавливает код супердоговора.
    Parameters:
      `superId` -

  - ### getDependSubList

    public String getDependSubList()
    Возвращает список субдоговоров с зависимым балансом.
    Returns:

  - ### setDependSubList

    public void setDependSubList(String subList)
    Установка списка субдоговоров с зависимым балансом.
    Parameters:
      `subList` -

  - ### isIndepend

    public boolean isIndepend()
    Договор является независимым.
    Returns:

  - ### isSuper

    public boolean isSuper()
    Договор является супердоговором.
    Returns:

  - ### isSub

    public boolean isSub()
    Договор является субдоговором.
    Returns:

  - ### isDependSub

    public boolean isDependSub()
    Договор является субдоговором с зависимым балансом
    Returns:

  - ### isIndependSub

    public boolean isIndependSub()
    Договор является субдоговором с независимым балансом
    Returns:

  - ### getStatus

    public int getStatus()
    Возвращает текущий статус договора, доступные статусы перечислены в `KernelConst`.
    Returns:

  - ### setStatus

    public void setStatus(int status)
    Устанавливает текущий статус договора, доступные статусы перечислены в `KernelConst`.

  - ### getStatusDate

    public Calendar getStatusDate()
    Возвращает дату установки текущего статуса договора.
    Returns:

  - ### setStatusDate

    public void setStatusDate(Calendar statusDate)
    Устанавливает дату установки текущего статуса договора.
    Parameters:
      `statusDate` -

  - ### getSubMode

    public int getSubMode()
    Возвращает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.
    Returns:

  - ### setSubMode

    public void setSubMode(int subMode)
    Устанавливает тип субдоговора, может быть SUB_MODE_DEPEND_BALANCE либо SUB_MODE_INDEPEND_BALANCE из `KernelConst`.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### compareTo

    public int compareTo(Contract o)
    Specified by:
      `compareTo` in interface `Comparable<Contract>`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Id`

  - ### getBalanceRest

    @Deprecated public BigDecimal getBalanceRest(Connection con, Date time)
    Deprecated.
    Использовать `BalanceUtils.getBalance(Date, int)`.
    Parameters:
      `con` -
      `time` -
    Returns:

  - ### getDomainId

    public int getDomainId()
    ID домена
    Returns:
    See Also:
      - `Domain`

  - ### setDomainId

    public void setDomainId(int domainId)